## kpilot-trinity 14.0.5

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,6 @@
 
 # Tests don't need to go into toplevel/bin, they are fine in the current dir.
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
-
-# This can be used for finding data files in the source dir
-add_definitions( -DTDESRCDIR=\\"${CMAKE_CURRENT_SOURCE_DIR}\\" )
-
 
 set(testconstants_SRCS testconstants.cc)
 trinity_add_executable(testconstants ${testconstants_SRCS})
