=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
 Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), tdelibs14-trinity-dev, tdepim-trinity-dev,
                libopensync0-dev, libpisock-dev,
-               bison, byacc, bzip2, flex, groff-base,
-               libboost-dev (>= 1.33.1), libgpgme11-dev,
+               bison, byacc, bzip2, flex, libfl-dev | flex (<< 2.5.39), groff-base,
+               libboost-dev (>= 1.33.1), libgpgme11-dev | libgpgme-dev (>= 1.0~),
                automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
