=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kpilot-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake,
  tdelibs14-trinity-dev, tdepim-trinity-dev, libpisock-dev
 Standards-Version: 3.8.4
