## kpilot-trinity 14.0.13

=== debian/changelog ===
kpilot-trinity (4:14.0.13-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Sep 2022 03:51:33 +0200
