## kpilot-trinity 14.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup ######################
 
 project( kpilot )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules ############
@@ -31,8 +30,12 @@
 
 #### include our cmake modules ##################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths #######################
@@ -75,8 +78,8 @@
 add_subdirectory( conduits )
 add_subdirectory( tests )
 
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files #####################
