## kpilot-trinity 14.1.3

=== debian/changelog ===
kpilot-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Oct 2024 12:45:51 +0200
