## kpilot-trinity 14.1.5~pre1

=== debian/changelog ===
kpilot-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 7de33020152c637f138316c4ad366bb5790ae210
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
