=== conduits/knotes/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )


##### conduit_knotes (kpart) ####################

tde_add_kpart( conduit_knotes AUTOMOC
  SOURCES knotesconduitSettings.kcfgc knotes-factory.cpp
    knotes-setup.cpp knotes-action.cpp setup_base.ui
  LINK kpilot-shared tdeui-shared kcal-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE knotes-conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES knotesconduit.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
