=== conduits/malconduit/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### conduit_mal (kpart) #######################

tde_add_kpart( conduit_mal AUTOMOC
  SOURCES malconduitSettings.kcfgc mal-setup_dialog.ui
    mal-factory.cpp mal-setup.cpp mal-conduit.cpp
  LINK kpilot-shared tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE mal_conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES malconduit.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
