=== conduits/notepadconduit/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### conduit_notepad (kpart) ###################

tde_add_kpart( conduit_notepad AUTOMOC
  SOURCES notepadconduit.kcfgc notepad-setup.ui
    notepad-conduit.cpp notepad-factory.cpp
  LINK kpilot-shared tdeui-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE notepad-conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)
