=== conduits/sysinfoconduit/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### conduit_sysinfo (kpart) ###################

tde_add_kpart( conduit_sysinfo AUTOMOC
  SOURCES sysinfoSettings.kcfgc sysinfo-factory.cpp sysinfo-setup.cpp
    sysinfo-conduit.cpp sysinfo-setup_dialog.ui
  LINK kpilot-shared tdeui-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES Template.html Template.txt
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/sysinfoconduit
)

tde_create_translated_desktop(
  SOURCE sysinfo_conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES sysinfoconduit.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
