=== conduits/timeconduit/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### conduit_time (kpart) ######################

tde_add_kpart( conduit_time AUTOMOC
  SOURCES timeConduitSettings.kcfgc time-factory.cpp time-setup.cpp
    time-conduit.cpp time-setup_dialog.ui
  LINK kpilot-shared tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE time_conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES timeconduit.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
