=== conduits/vcalconduit/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )


##### vcalconduit (static) ######################

tde_add_library( vcalconduit STATIC_PIC AUTOMOC
  SOURCES vcalconduitSettings.kcfgc korganizerConduit.ui
    kcalRecord.cpp vcal-setupbase.cpp vcal-conduitbase.cpp
    cleanupstate.cpp deleteunsyncedhhstate.cpp
    deleteunsyncedpcstate.cpp hhtopcstate.cpp
    initstate.cpp pctohhstate.cpp teststate.cpp
)


##### conduit_vcal (kpart) ######################

tde_add_kpart( conduit_vcal AUTOMOC
  SOURCES vcal-conduit.cpp vcalRecord.cpp vcal-factory.cpp vcal-setup.cpp
  LINK kpilot-shared kcal-shared tderesources-shared vcalconduit-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### conduit_todo (kpart) ######################

tde_add_kpart( conduit_todo AUTOMOC
  SOURCES todo-conduit.cpp todoRecord.cpp todo-factory.cpp todo-setup.cpp
  LINK kpilot-shared kcal-shared tderesources-shared vcalconduit-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE vcal-conduit.desktop todo-conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES vcalconduitbase.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
