## kpilot-trinity 14.1.6~pre0

=== debian/changelog ===
kpilot-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7de33020152c637f138316c4ad366bb5790ae210
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
