## kpilot-trinity 14.1.6~pre1

=== debian/changelog ===
kpilot-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3dfa98f584afad7b06226ac24478d1be76dd4206
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:54:48 +0100
