## kpilot-trinity 14.1.6~pre2

=== debian/control ===
Source: kpilot-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
 tdelibs14-trinity-dev, tdepim-trinity-dev, libpisock-dev
Standards-Version: 3.8.4

Package: kpilot-trinity
Section: utils
Architecture: any
Replaces: kpilot-kde3 (<< 4:14.0.0~)
Breaks: kpilot-kde3 (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5) | debconf-2.0
Suggests: knotes-trinity, korganizer-trinity
Description: TDE Palm Pilot hot-sync tool
 KPilot is an application that synchronizes your Palm Pilot or similar device
 (like the Handspring Visor) with your Trinity desktop, much like the Palm
 HotSync software does for Windows.  KPilot can back-up and restore your Palm
 Pilot and synchronize the built-in applications with their TDE counterparts.
