=== debian/changelog ===
kpilot-trinity (4:14.2.0~pre47-0ubuntu24.04.0+6) noble; urgency=low

  * Automated git build for 6bb3e52c36be3cecb9e36288449705264a5211fd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
