## kpilot-trinity 14.2.0~pre48

=== debian/changelog ===
kpilot-trinity (4:14.2.0~pre48-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for ebfd881a3e9e75d2b9acb1f9b62f81034649f25b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:02:27 +0100
